Loading...
Searching...
No Matches
coap_lg_crcv_t Struct Reference
Libcoap Internal API » Block Transfer

Structure to hold large body (many blocks) client receive information. More...

`#include <coap_block_internal.h>`

Collaboration diagram for coap_lg_crcv_t:
[legend]

## Data Fields

struct coap_lg_crcv_t * | next
uint8_t | observe [3]
| Observe data (if observe_set) (only 24 bits)
uint8_t | observe_length
| Length of observe data.
uint8_t | observe_set
| Set if this is an observe receive PDU.
uint8_t | szx
| size of individual blocks
uint8_t | etag_set
| Set if ETag is in receive PDU.
uint8_t | etag_length
| ETag length.
uint8_t | etag [8]
| ETag for block checking.
uint16_t | content_format
| Content format for the set of blocks.
uint8_t | last_type
| Last request type (CON/NON)
uint8_t | initial
| If set, has not been used yet.
uint16_t | block_option
| Block option in use.
uint16_t | retry_counter
| Retry counter (part of state token)
size_t | total_len
| Length as indicated by SIZE2 option.
coap_binary_t * | body_data
| Used for re-assembling entire body.
coap_binary_t * | app_token
| app requesting PDU token
coap_bin_const_t ** | obs_token
| Tokens used in setting up Observe (to handle large FETCH)
size_t | obs_token_cnt
| number of tokens used to set up Observe
uint64_t | state_token
| state token
coap_pdu_t | pdu
| skeletal PDU
coap_rblock_t | rec_blocks
coap_tick_t | last_used
| < list of received blocks

## Detailed Description

Structure to hold large body (many blocks) client receive information.

Definition at line 146 of file coap_block_internal.h.

## Field Documentation

## app_token

coap_binary_t* coap_lg_crcv_t::app_token

app requesting PDU token

Definition at line 162 of file coap_block_internal.h.

## block_option

uint16_t coap_lg_crcv_t::block_option

Block option in use.

Definition at line 158 of file coap_block_internal.h.

## body_data

coap_binary_t* coap_lg_crcv_t::body_data

Used for re-assembling entire body.

Definition at line 161 of file coap_block_internal.h.

## content_format

uint16_t coap_lg_crcv_t::content_format

Content format for the set of blocks.

Definition at line 155 of file coap_block_internal.h.

## etag

uint8_t coap_lg_crcv_t::etag[8]

ETag for block checking.

Definition at line 154 of file coap_block_internal.h.

## etag_length

uint8_t coap_lg_crcv_t::etag_length

ETag length.

Definition at line 153 of file coap_block_internal.h.

## etag_set

uint8_t coap_lg_crcv_t::etag_set

Set if ETag is in receive PDU.

Definition at line 152 of file coap_block_internal.h.

## initial

uint8_t coap_lg_crcv_t::initial

If set, has not been used yet.

Definition at line 157 of file coap_block_internal.h.

## last_type

uint8_t coap_lg_crcv_t::last_type

Last request type (CON/NON)

Definition at line 156 of file coap_block_internal.h.

## last_used

coap_tick_t coap_lg_crcv_t::last_used

< list of received blocks

Last time all data sent or 0

Definition at line 169 of file coap_block_internal.h.

## next

struct coap_lg_crcv_t* coap_lg_crcv_t::next

Definition at line 147 of file coap_block_internal.h.

## obs_token

coap_bin_const_t** coap_lg_crcv_t::obs_token

Tokens used in setting up Observe (to handle large FETCH)

Definition at line 163 of file coap_block_internal.h.

## obs_token_cnt

size_t coap_lg_crcv_t::obs_token_cnt

number of tokens used to set up Observe

Definition at line 165 of file coap_block_internal.h.

## observe

uint8_t coap_lg_crcv_t::observe[3]

Observe data (if observe_set) (only 24 bits)

Definition at line 148 of file coap_block_internal.h.

## observe_length

uint8_t coap_lg_crcv_t::observe_length

Length of observe data.

Definition at line 149 of file coap_block_internal.h.

## observe_set

uint8_t coap_lg_crcv_t::observe_set

Set if this is an observe receive PDU.

Definition at line 150 of file coap_block_internal.h.

## pdu

coap_pdu_t coap_lg_crcv_t::pdu

skeletal PDU

Definition at line 167 of file coap_block_internal.h.

## rec_blocks

coap_rblock_t coap_lg_crcv_t::rec_blocks

Definition at line 168 of file coap_block_internal.h.

## retry_counter

uint16_t coap_lg_crcv_t::retry_counter

Retry counter (part of state token)

Definition at line 159 of file coap_block_internal.h.

## state_token

uint64_t coap_lg_crcv_t::state_token

state token

Definition at line 166 of file coap_block_internal.h.

## szx

uint8_t coap_lg_crcv_t::szx

size of individual blocks

Definition at line 151 of file coap_block_internal.h.

## total_len

size_t coap_lg_crcv_t::total_len

Length as indicated by SIZE2 option.

Definition at line 160 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h